Loading...
Searching...
No Matches
Catch::SourceLineInfo Struct Reference

`#include <catch_amalgamated.hpp>`

## Public Member Functions

| SourceLineInfo ()=delete
constexpr | SourceLineInfo (char const *_file, std::size_t _line) noexcept
bool | operator== (SourceLineInfo const &other) const noexcept
bool | operator< (SourceLineInfo const &other) const noexcept

## Public Attributes

char const * | file
std::size_t | line

## Friends

std::ostream & | operator<< (std::ostream &os, SourceLineInfo const &info)

## Constructor & Destructor Documentation

## SourceLineInfo() [1/2]

Catch::SourceLineInfo::SourceLineInfo | ( |  | ) |

delete

Here is the caller graph for this function:

## SourceLineInfo() [2/2]

Catch::SourceLineInfo::SourceLineInfo | ( | char const * | _file,
|  | std::size_t | _line )

inlineconstexprnoexcept

## Member Function Documentation

## operator<()

bool Catch::SourceLineInfo::operator< | ( | SourceLineInfo const & | other | ) | const

noexcept

Here is the call graph for this function:

## operator==()

bool Catch::SourceLineInfo::operator== | ( | SourceLineInfo const & | other | ) | const

noexcept

Here is the call graph for this function:

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | SourceLineInfo const & | info )

friend

## Member Data Documentation

## file

char const* Catch::SourceLineInfo::file

## line

std::size_t Catch::SourceLineInfo::line

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp